cc.Class({
    extends: cc.Component,

    properties: {
        isAttackAble: false,
    },

    // use this for initialization
    onLoad: function () {

    },

    onBeginContact(contact, self, other) {
        if (other.tag === 3) { //托盘
            cc.gamectl.onBallContactPaddle(self.getComponent('Ball'),other.getComponent('Paddle'));
        } else if (other.tag === 2) { //砖块
            cc.gamectl.onBallContactBrick(self.getComponent('Ball'),other.getComponent('Brick'));
        } else if(other.tag === 4) { //地面
            cc.gamectl.onBallContactGround(self.getComponent('Ball'),other.getComponent('Ground'));
        }
    },
});